## qwt 6.0.0

=== debian/changelog ===
qwt (6.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with multi-arch Qt 4.8 (Closes: 662230)
    - Change install path for libqwt_designer_plugin.so in libqwt-dev.install
    - Update build-depends version requirements for debhelper and libqt4-dev
    - Add misc:Pre-Depends for libqwt6
    - Bump compat to 8

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 May 2012 15:24:37 -0400

qwt (6.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/control:
    - Fix the typo in Replaces: added the missing debian revision.
      (Closes: #631816)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 24 Mar 2012 20:27:37 +0200

qwt (6.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #624107):
    - drop Qt3 support. (Closes: #604379, #626868)
  * Register documentation with doc-base. (Closes: #626567)
  * Drop patches:
    - 01_makefiles.diff
    - 02_add_missing_warnings.diff
    - 03_qwt_branch_pull_r544.diff
  * Add qwt_install_paths.patch to fix the hardcoded installation paths.
  * Update debian/control:
    - drop libqt3-mt-dev build dependency.
    - bump Standards-Version to 3.9.2 (no changes).
    - drop Qt3 related packages.
    - due to bump soname (and as we dropper Qt3 support):
      - libqwt5-qt4-dev -> libqwt-dev
      - libqwt5-qt4 -> libqwt6
      - libqwt5-doc -> libqwt-doc
  * Update debian/copyright file.
  * Update debian/rules: drop Qt3 packages support.

 -- Fathi Boudra <fabo@debian.org>  Fri, 10 Jun 2011 11:22:47 +0300

qwt (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add branch pull patch from svn r544.
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Update installed manpages.
  * Use qwt as base name for directory (drop version).
  * Add missing warnings patch.
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Wed, 01 Jul 2009 16:08:21 +0200

qwt (5.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bump compat/debhelper to 7.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Invert Maintainers and Uploaders field.
  * Fix lintian warnings:
    - dh_clean _k deprecated.
    - missing dependency on libc.

 -- Fathi Boudra <fabo@debian.org>  Sun, 12 Apr 2009 23:25:58 +0200

qwt (5.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 26 May 2008 10:26:31 +0200

qwt (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh makefiles patch.
  * Remove QwtPlotScaleItem patch.
  * Bump compat/debhelper to 6.

 -- Fathi Boudra <fabo@debian.org>  Fri, 09 May 2008 09:56:52 +0200

qwt (5.0.2-2) unstable; urgency=low

  * Handle nostrip build option. (Closes: #437877)
  * Build libqwt5-doc package in binary-indep target. (Closes: #443110)

 -- Fathi Boudra <fboudra@free.fr>  Fri, 05 Oct 2007 15:20:41 +0200

qwt (5.0.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh QwtPlotScaleItem from svn revision 66.
  * Switch to quilt patch system.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 29 Jul 2007 11:15:38 +0200

qwt (5.0.1-2) unstable; urgency=low

  * Enable QwtSVGItem.
  * Add QwtPlotScaleItem from svn revision 65.

 -- Fathi Boudra <fboudra@free.fr>  Thu,  8 Mar 2007 15:34:42 +0100

qwt (5.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Gudjon I. Gudjonsson ]
  * Add libqwt5-doc conflicts against libqwt-doc. (Closes: #412953)

 -- Fathi Boudra <fboudra@free.fr>  Thu,  8 Mar 2007 10:23:47 +0100

qwt (5.0.0-1) unstable; urgency=low

  * Initial release.

 -- Fathi Boudra <fboudra@free.fr>  Thu,  1 Feb 2007 11:57:31 +0100
