=== debian/control ===
Source: qwt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@mc2.chalmers.se>
Build-Depends: debhelper (>= 8), libqt4-dev (>= 4:4.8.0~)
Standards-Version: 3.9.2
Section: libs
Homepage: http://qwt.sourceforge.net

Package: libqwt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqwt6 (= ${binary:Version}), libqt4-dev
Breaks: libqwt5-qt4-dev (<< 6.0.0-1)
Replaces: libqwt5-qt4-dev (<< 6.0.0-1)
Description: Qt widgets library for technical applications (development)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the Qwt development files for Qt.

Package: libqwt6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt widgets library for technical applications (runtime)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the files necessary for running applications that
 use the Qwt library and Qt.

Package: libqwt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Description: Qt widgets library for technical applications (documentation)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the Qwt library documentation and programming examples
 for developers.
