=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
 
override_dh_installdocs:
	dh_installdocs README

override_dh_compress:
	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm
