## qwt 6.1.1

=== debian/changelog ===
qwt (6.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1385185)
  * Vivid Qt 4 version
   - update qwt_install_paths.patch so the patch applies.
   - added new kubuntu_enable_mathml.patch to enable mathml
   - Bump compat to 9
   - add Nokia copyright for mathml
   - added kubuntu_disable_rpath.patch according to debian policy:
     binary-or-shlib-defines-rpath
   - Add build depends for opengl support.
   - Completed manpage patch and submitted upstream.
   - move jquery dh_link to .links file
   - add lintian override for package doesn't match SONAME
     due to package rename to -qt4
   - wrap-and-sort
   - Due to an abundance of conflicting files,
      I had to add Conflicts to qt5 version.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 24 Oct 2014 18:51:16 +0000
