=== debian/control ===
--- 
+++ 
@@ -1,19 +1,26 @@
 Source: qwt
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@mc2.chalmers.se>
-Build-Depends: debhelper (>= 8), libqt4-dev (>= 4:4.8.0~)
-Standards-Version: 3.9.2
+Build-Depends: chrpath,
+               debhelper (>= 9),
+               libqt4-opengl-dev,
+               libqt4-dev,
+               qt4-dev-tools,
+               qt4-qmake
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://qwt.sourceforge.net
 
 Package: libqwt-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqwt6 (= ${binary:Version}), libqt4-dev
-Breaks: libqwt5-qt4-dev (<< 6.0.0-1)
-Replaces: libqwt5-qt4-dev (<< 6.0.0-1)
+Depends: libqwt6 (= ${binary:Version}),
+         libqt4-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: libqwt-qt5-dev
 Description: Qt widgets library for technical applications (development)
  The Qwt library contains Qt GUI Components and utility classes which
  are primarily useful for programs with a technical background. Most of
@@ -24,8 +31,9 @@
 
 Package: libqwt6
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libqwt6-qt5
 Description: Qt widgets library for technical applications (runtime)
  The Qwt library contains Qt GUI Components and utility classes which
  are primarily useful for programs with a technical background. Most of
@@ -39,7 +47,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Built-Using: libjs-jquery (= 1.7.1), libjs-jquery-ui (= 1.8.18)
 Recommends: w3m | www-browser
+Conflicts: libqwt-qt5-doc
 Description: Qt widgets library for technical applications (documentation)
  The Qwt library contains Qt GUI Components and utility classes which
  are primarily useful for programs with a technical background. Most of
