=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with-quilt

override_dh_auto_configure:
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/bin/qmake qwt.pro

override_dh_compress:
	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm --exclude=.qhp

override_dh_installchangelogs:
	dh_installchangelogs CHANGES-6.1
 
override_dh_installdocs:
	dh_installdocs README

override_dh_install:
	$(OVERRIDDEN_COMMAND)
	dh_install --list-missing
