## qwt 6.1.2

=== debian/changelog ===
qwt (6.1.2-5) unstable; urgency=medium

  * Team upload to unstable.
  * Update Standards-Version to 3.9.7, no changes required, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 07 Mar 2016 15:22:02 -0300

qwt (6.1.2-4) experimental; urgency=medium

  * Update symbol files from builds

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 25 Jan 2016 20:59:57 +0100

qwt (6.1.2-3) experimental; urgency=medium

  * Update symbols files from all builds.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 14 Nov 2015 07:50:04 +0100

qwt (6.1.2-2) experimental; urgency=medium

  * Make libqwt-headers break older versions of libqwt-dev (Closes: #793070)
  * Bump SONAME to libqwt.so.6abi1 and libqwtmathml.so.6abi1
  * Change package names to libqwt6abi1 and libqwtmathml6abi1
  * Make new packages break/replace libqwt6,libqwtmahml6
  * Update symbols files for gcc5
  * Remove libqwt-dev from recommends in libqwt-qt5-dev
  * Change all symbols version in liqwt6abi1 and libqwtmathml6abi1
    from 6.0.0 to 6.1.2

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 03 Oct 2015 21:20:46 +0200

qwt (6.1.2-1) experimental; urgency=medium

  * New upstream release (Closes:  #733153)
  * Bump standards version to 3.9.6
  * Add -qt5 library
  * Add hardening and fortifying code, patch 01_hardening
  * add -qt5 name extension to Qt5 packages, patch 02_makefiles
  * Fix spelling in documentation, patch 03_fix_spelling
  * Remove rpath and compile against libqwt-qt5.so for the
    Qt5 designer plugin, patch 04_designer
  * Make the examples compile when out of the qwt source tree,
    patch 05_examples
  * Remove all javascript files from the documentation to fix
    lintian error.
  * Add symbols control file
  * Add qwtfunctions.pri to makespecs
  * Enable verbose build
  * Add pkg-config files
  * Update emails
  * Add libqwtmathml symbol files
  * Change symbol files according to pkgkde standards
  * Add VCS fields
  * Make libqwtmathml as a separate package
  * Add pkgkde_symbolshelper
  * Patch symbols file with new symbols
  * Remove missing symbols from symbols files

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 19 Jul 2015 07:29:55 +0200
