=== debian/control ===
Source: qwt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 8),
               libqt4-dev (>= 4:4.8.0~),
               libqt4-opengl-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               qtbase5-dev,
               qttools5-dev,
               pkg-kde-tools
Standards-Version: 3.9.7
Section: libs
Homepage: http://qwt.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/collab-maint/ext-maint/qwt/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/ext-maint/qwt/trunk/

Package: libqwt-headers
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqwt-dev (<< 6.1.2-1)
Replaces: libqwt-dev (<< 6.1.2-1)
Description: Qt widgets library for technical applications (header files)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the header files for both Qt4 and Qt5 versions

Package: libqwt-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev,
         libqwt-headers (= ${binary:Version}),
         libqwt6abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqwt5-qt4-dev (<< 6.0.0-1)
Replaces: libqwt5-qt4-dev (<< 6.0.0-1)
Description: Qt widgets library for technical applications (development, qt4)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the Qwt development files for Qt4 and qt4-designer
 plugin.

Package: libqwt6abi1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqwt6 (<= 6.1.2-1)
Replaces: libqwt (<= 6.1.2-1)
Description: Qt widgets library for technical applications (runtime, qt4)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the files necessary for running applications that
 use the Qwt library and Qt4.

Package: libqwtmathml-dev
Section: libdevel
Architecture: any
Depends: libqwt-dev (= ${binary:Version}),
         libqwtmathml6abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Text Engine for Qwt (development, qt4)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains a text engine for the MathML renderer of the Qt
 solution package for the Qwt library and Qt4. These are the development
 files.

Package: libqwtmathml6abi1
Architecture: any
Depends: libqwt6abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqwtmathml6 (<= 6.1.2-1)
Replaces: libqwtmathml6 (<= 6.1.2-1)
Description: Text Engine for Qwt (runtime, qt4)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains a text engine for the MathML renderer of the Qt
 solution package for the Qwt library and Qt4.

Package: libqwt-qt5-dev
Section: libdevel
Architecture: any
Depends: libqwt-headers (= ${binary:Version}),
         libqwt-qt5-6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqwt5-qt4-dev (<< 6.0.0-1)
Replaces: libqwt5-qt4-dev (<< 6.0.0-1)
Description: Qt widgets library for technical applications (development, qt5)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the Qwt development files for Qt5.

Package: libqwt-qt5-6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt widgets library for technical applications (runtime, qt5)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the files necessary for running applications that
 use the Qwt library and Qt5.

Package: libqwtmathml-qt5-dev
Section: libdevel
Architecture: any
Depends: libqwt-qt5-dev (= ${binary:Version}),
         libqwtmathml-qt5-6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Text Engine for Qwt (development, qt5)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains a text engine for the MathML renderer of the Qt
 solution package for the Qwt library and Qt5. These are the development
 files.

Package: libqwtmathml-qt5-6
Architecture: any
Depends: libqwt-qt5-6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Text Engine for Qwt (runtime, qt5)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains a text engine for the MathML renderer of the Qt
 solution package for the Qwt library and Qt5.

Package: libqwt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Description: Qt widgets library for technical applications (documentation)
 The Qwt library contains Qt GUI Components and utility classes which
 are primarily useful for programs with a technical background. Most of
 these widgets are used to control or display values, arrays, or ranges
 of type double.
 .
 This package contains the Qwt library documentation and programming examples
 for developers.
