=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,-fortify
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)   $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p build-qt4 build-qt5
	QT_SELECT=qt4 dh_auto_configure --builddirectory=build-qt4 -- ../qwt.pro
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build-qt5 -- ../qwt.pro
	cp qwt*.pri examples/

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt4
	dh_auto_build --builddirectory=build-qt5

override_dh_auto_clean:
	rm -rf build-qt?
	rm -f examples/qwt*.pri

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt4
	dh_auto_install --builddirectory=build-qt5
	rm debian/tmp/usr/lib/libqwt.so
	rm debian/tmp/usr/lib/libqwt.so.6abi1
	rm debian/tmp/usr/lib/libqwt.so.6abi1.1
	cd debian/tmp/usr/lib/ && mv libqwt.so.6abi1.1.2 libqwt.so.6.1.2.abi1
	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.2.abi1 libqwt.so
	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.2.abi1 libqwt.so.6abi1
	rm debian/tmp/usr/lib/libqwtmathml.so
	rm debian/tmp/usr/lib/libqwtmathml.so.6abi1
	rm debian/tmp/usr/lib/libqwtmathml.so.6abi1.1
	cd debian/tmp/usr/lib/ && mv libqwtmathml.so.6abi1.1.2 libqwtmathml.so.6.1.2.abi1
	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.2.abi1 libqwtmathml.so
	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.2.abi1 libqwtmathml.so.6abi1
	find debian/tmp/usr -type f -name '*.md5' -exec rm -vf {} \;
	find debian/tmp/usr -type f -name '*.js' -exec rm -vf {} \;

override_dh_installchangelogs:
	dh_installchangelogs CHANGES-6.1

override_dh_installdocs:
	dh_installdocs README

override_dh_compress:
	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm
