=== debian/watch ===
version=3
http://sf.net/qwt/qwt-(6)\.(.*)\.(.*)\.tar\.bz2
