## qwt 6.1.3

=== debian/changelog ===
qwt (6.1.3-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 4.1.3, no changes needed
  * Change compat level to 9
  * Remove unwanted man1 manpages (Closes: #850641)
  * Change myself to maintainer (Closes: #879431)
  * Update symbols files with buildds' logs. Yet again.
    (Closes: #886171)
  * Override dh_makeshlibs to not fail on symbols changes,
    and set upstream version (thanks to Bas Couwenberg)
  * Add README.source file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 12 Jan 2018 11:04:35 +0100

qwt (6.1.2-6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files with buildds' logs. Yet again.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 05 Sep 2016 09:05:19 -0300

qwt (6.1.2-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 04 Sep 2016 21:57:16 -0300

qwt (6.1.2-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files with buildds' and current build logs
    (Closes: #835755).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 04 Sep 2016 19:00:03 -0300

qwt (6.1.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 16 Jul 2016 09:12:55 -0300

qwt (6.1.2-5.1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Non-maintainer upload.
  * Update symbols for amd64 (recent logs), sparc64 & x32 (old logs).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Mark optional symbols as such to prevent further FTBFSs.
  * Fix typo in previous changelog entry.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 15 Jul 2016 22:59:26 -0300
