=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qwt
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
-Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
+Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Build-Depends: debhelper (>= 8),
                libqt4-dev (>= 4:4.8.0~),
                libqt4-opengl-dev,
@@ -10,7 +9,7 @@
                qtbase5-dev,
                qttools5-dev,
                pkg-kde-tools
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Section: libs
 Homepage: http://qwt.sourceforge.net
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/ext-maint/qwt/trunk/
