=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,-fortify
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)   $(shell dpkg-buildflags --get CPPFLAGS)
@@ -32,15 +36,15 @@
 	rm debian/tmp/usr/lib/libqwt.so
 	rm debian/tmp/usr/lib/libqwt.so.6abi1
 	rm debian/tmp/usr/lib/libqwt.so.6abi1.1
-	cd debian/tmp/usr/lib/ && mv libqwt.so.6abi1.1.2 libqwt.so.6.1.2.abi1
-	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.2.abi1 libqwt.so
-	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.2.abi1 libqwt.so.6abi1
+	cd debian/tmp/usr/lib/ && mv libqwt.so.6abi1.1.3 libqwt.so.6.1.3.abi1
+	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.3.abi1 libqwt.so
+	cd debian/tmp/usr/lib/ && ln -s libqwt.so.6.1.3.abi1 libqwt.so.6abi1
 	rm debian/tmp/usr/lib/libqwtmathml.so
 	rm debian/tmp/usr/lib/libqwtmathml.so.6abi1
 	rm debian/tmp/usr/lib/libqwtmathml.so.6abi1.1
-	cd debian/tmp/usr/lib/ && mv libqwtmathml.so.6abi1.1.2 libqwtmathml.so.6.1.2.abi1
-	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.2.abi1 libqwtmathml.so
-	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.2.abi1 libqwtmathml.so.6abi1
+	cd debian/tmp/usr/lib/ && mv libqwtmathml.so.6abi1.1.3 libqwtmathml.so.6.1.3.abi1
+	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.3.abi1 libqwtmathml.so
+	cd debian/tmp/usr/lib/ && ln -s libqwtmathml.so.6.1.3.abi1 libqwtmathml.so.6abi1
 	find debian/tmp/usr -type f -name '*.md5' -exec rm -vf {} \;
 	find debian/tmp/usr -type f -name '*.js' -exec rm -vf {} \;
 
@@ -50,5 +54,12 @@
 override_dh_installdocs:
 	dh_installdocs README
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
+
 override_dh_compress:
 	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm
+
+override_dh_installman:
+	dh_installman -X"_tmp_qwt"
+
