## qwt 6.1.4

=== debian/changelog ===
qwt (6.1.4-2) UNRELEASED; urgency=medium

  * update

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 26 Apr 2022 16:37:31 +0800

qwt (6.1.4-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Move package to salsa and fix Vcs paths (Closes: #935116)
  * Add build depends to symbols files.
  * Add DEB_HOST_MULTIARCH to pkgconfig path.
  * Fix clean target.
  * Add Lisandro Damián Nicanor Pérez Meyer as uploader.

  [ Gudjon I. Gudjonsson ]
  * Add patch 06_ftbs.patch, (Closes: #975129)
    The patch is already implemented in upstream version 6.1.5
  * Update symbols files. No code change since last version.
  * Change hardening to the same implementation as in Qscintilla2
    (Closes: #940729, #940731)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Dec 2020 22:44:12 -0300

qwt (6.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper compat 12.
  * Install man pages.
  * Fail in case of files not being installed.
  * Drop the Qt 4 version (Closes: #875165).
    - Remove unneeded build dependencies.
    - Remove related packages.
    - Make libqwt-headers-dev a transitional package that depends upon
      libqwt-qt5-dev.
    - Add Breaks + Replaces.
    - Modify debian/rules accordingly.
  * Bump Standards-Version to 4.4.0. No changes required.
  * Move qwtmathml.prf to libqwtmathml-qt5-dev, adding proper Breaks+Replaces.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Aug 2019 21:50:31 -0300

qwt (6.1.4-1) unstable; urgency=medium

  * New upstream release
  * Change watch file url to https.
  * Bump standards version to 4.3.0.2
  * Refresh all patches
  * Change 6.1.3 to 6.1.4 in rules file
  * Update symbols files
  * Don't exclude build of qt4 designer plugin

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 28 Feb 2019 16:09:24 +0100
