=== debian/watch ===
version=3
https://sf.net/qwt/qwt-(6)\.(.*)\.(.*)\.tar\.bz2
