## qwt 6.1.4.1+rb1

=== debian/changelog ===
qwt (6.1.4.1+rb1-1+eagle) unstable; urgency=medium

  * update

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 27 Jan 2021 09:44:57 +0800
