## qwt 6.2.0

=== debian/changelog ===
qwt (6.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/*. Rebase all patches
  * debian/patches/02_makefiles. Fix makefiles and prepare for qt6
  * debian/control. Remove libqwtmathml. Removed from upstream
  * debian/clean. Add file
  * Fix Multi-Arch targets and move include files to headers package
  * Fix patch qwt_install_paths.patch
  * debian/patches/04_designer. Link to libqwt-qt5/6
  * Remove 06_ftbs.patch. Fixed in upstream
  * Add libqwt-headers.install
  * debian/compat. Bump compat to 13
  * debian/clean. Clean qt6 targets
  * debian/libqwt-qt5-*.install. Change * to ${DEB_HOST_MULTIARCH}
  * Add support for Qt6
  * Add qt6 dependencies
  * Update symbols file for libqwt-qt5 and add symbols file for libqwt-qt6
  * Bump standards version to 4.6.1. No changes needed
  * debian/libqwt-qt5-6.symbols. Change MINVER to libqwt-qt5.so.6.2
  * Remove mathml packages.
  * Rename *-6.* to *-6.2.* since the SONAME has changed
  * debian/libqwt-qt5-6.2.symbols. Update symbols
  * debian/control. Rename packages from qt5-6 to qt5-6.2
  * debian/control. Change debhelper-compat version to =13
  * debian/control. Make libqwt-headers contain header files for Qt5/6
  * debian/control. Make libqwt-qt5-dev break/replace older version
  * Move clean target from rules to clean
  * debian/control. Change headers depends on dev to suggest dev package
  * Fix examples. Add playground and fix qt6 compilation
  * Remove patch 03_fix_spelling.patch. Implemented by upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Dec 2022 21:08:57 +0000
