=== debian/rules ===
--- 
+++ 
@@ -10,25 +10,39 @@
 
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
+# Make the package buildable with only Qt5 available
+qt6 := "no"
+ifeq ($(shell dpkg-query -s libqt6svg6-dev |grep -o Package), Package)
+	qt6 := "yes"
+endif
+
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,-fortify
 #export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)   $(shell dpkg-buildflags --get CPPFLAGS)
 #export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 #export CPPFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 #export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
-export QT_SELECT := qt5
+#export QT_SELECT := qt5
 
 %:
 	dh $@ --with pkgkde_symbolshelper
 
 
 override_dh_auto_configure:
-	dh_auto_configure
-	cp qwt*.pri examples/
+ifeq ($(qt6), "yes")
+	cp -a src src-Qt6
+	cd src-Qt6 && /usr/bin/qmake6 DESTDIR=../src-qt6 $(QMAKE_FLAGS)
+	cp -r designer designer-Qt6
+	cd designer-Qt6 && /usr/bin/qmake6 INCLUDEPATH+=../src DESTDIR=../designer-Qt6 $(QMAKE_FLAGS)
+endif
+	qmake -qt=5
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f examples/qwt*.pri
-	rm -rf lib
+override_dh_auto_build:
+	dh_testdir
+	$(MAKE)
+ifeq ($(qt6), "yes")
+	cd src-Qt6 && $(MAKE)
+	cd designer-Qt6 && $(MAKE)
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -37,12 +51,28 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
 	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/Qt5Qwt6.pc \
 	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
+	mv $(CURDIR)/debian/tmp/usr/lib/libqwt-qt5.so* \
+	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
+	rm -f $(CURDIR)/debian/tmp/usr/lib/libsrc*
+ifeq ($(qt6), "yes")
+	cd src-Qt6 && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp/
+	cd designer-Qt6 && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp/
+	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/Qt6Qwt6.pc \
+	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
+	mv $(CURDIR)/debian/tmp/usr/lib/libqwt-qt6.so* \
+	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
+	cp qwtconfig.pri $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
+	cp qwtfunctions.pri $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
+	cp qwt.prf $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
+
+endif
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES-6.1
+	dh_installchangelogs CHANGES-6.2
 
 override_dh_installdocs:
 	dh_installdocs README
